# eric4.Helpviewer.Network.QtHelpAccessHandler

Module implementing a scheme access handler for QtHelp.

### Global Attributes

None

### Classes

QtHelpAccessHandler | Class implementing a scheme access handler for QtHelp.

### Functions

None

## QtHelpAccessHandler

Class implementing a scheme access handler for QtHelp.

### Derived from

SchemeAccessHandler

### Class Attributes

None

### Methods

QtHelpAccessHandler | Constructor
createRequest | Protected method to create a request.

#### QtHelpAccessHandler (Constructor)

QtHelpAccessHandler(engine, parent = None)

Constructor

engine
  reference to the help engine (QHelpEngine)
parent
  reference to the parent object (QObject)

#### QtHelpAccessHandler.createRequest

createRequest(op, request, outgoingData = None)

Protected method to create a request.

op
  the operation to be performed (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
outgoingData
  reference to an IODevice containing data to be sent (QIODevice)

Returns:
  reference to the created reply object (QNetworkReply)

Up